Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158858 - Firefox adds "//" at the begin of the path to file when used "Open" from "Downloads"
Summary: Firefox adds "//" at the begin of the path to file when used "Open" from "Dow...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 10:18 UTC by Marcin Zajaczkowski
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-11 19:58:06 UTC


Attachments (Terms of Use)

Description Marcin Zajaczkowski 2005-05-26 10:18:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When I use "Open" link from Tools->Downloads, Firefox doesn't open OO documents (tested with writer). After investigation I discovered that it calls (for example):
/usr/lib/ooo-1.1/program/soffice.bin //home/szpak/foo.doc (spied on using htop)
In some applications (e.g. OpenOffice-1.1.3-11.5.0) this couse that app closes automatically, because it doesn't find specified file.

After downgrade to firefox-1.0.3 and install nightly build (20050518) it still happens.
It's possible that "//" is intended and it's problem with OO, but I haven't found that bug.
From Nautilus OO is called with "normal" path with one slash ("/").



Version-Release number of selected component (if applicable):
firefox-1.0.4-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Download some OO (tested with writer) document
2. Call "Open" from "Downloads" (CTRL-Y)
  

Actual Results:  OO closes after splash screen.

Expected Results:  OO should open document.

Additional info:

Comment 1 Matthew Miller 2006-07-10 23:10:37 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Marcin Zajaczkowski 2006-07-11 19:58:06 UTC
In FC5 (currently Firefox 1.5.0.4 and OO 2.0.2) document is opened as:
/usr/lib/openoffice.org2.0/program/swriter.bin -writer file:///home/szpak/foo.doc
and it works properly.
I don't know if it worked in FC4 (I haven't used it)

Closing the bug.



Note You need to log in before you can comment on or make changes to this bug.